Get All WKC Model Entry assets

GET /v1/aigov/model_inventory/model_entries

Returns all WKC Model Entry assets

Request

Path Parameters

Query Parameters

bss_account_id

string

Account ID. Limited to use by accredited services. Must be supplied when caller is an accredited service. Used for listing catalogs, projects, or spaces for the account or for retrieving the number of public catalogs for the account.

call_ref

string

call_ref optional for caller reference

Response

200 - Get All WKC Model Entry assets successful

total_rows

number

results

array

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Create a WKC Model Entry asset for given catalog

POST /v1/aigov/model_inventory/model_entries

Creates an asset of Type Model Entry

Request

Request Body

ModelEntryAttribute

ModelEntry attributes

name

string

description

string

Path Parameters

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

201 - WKC Model Entry asset created

metadata

object

entity

object

href

string

Model Entry asset URL

asset_id

string

Model Entry asset id

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Fetch WKC Model Entry Asset for given assetId

GET /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}

Returns WKC Model Entry Asset for given assetId

Request

Path Parameters

model_entry_asset_id

Required *

string

ModelEntry Asset GUID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Fetch WKC Model Entry Asset for given assetId successful

metadata

object

entity

object

attachments

array

href

string

attributes

array

asset_attachments

array

asset_id

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Delete Model Entry

DELETE /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}

Use this API to delete an existing model entry and remove model entry information

Request

Path Parameters

model_entry_asset_id

Required *

string

ModelEntryAsset GUID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

204 - No Content

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Update Status value of ModelEntry

PATCH /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}

Updates Status value of ModelEntry

Request

Request Body

ModelEntryStatus

ModelEntryStatus Schema

status

string

Path Parameters

model_entry_asset_id

Required *

string

ModelEntry Asset GUID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Created

lmid

string

status

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Fetch all Physical Models for a logical Model

GET /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}/models

Returns all Physical Models for a logical Model

Request

Path Parameters

model_entry_asset_id

Required *

string

ModelEntryAsset GUID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Fetch all Physical Models for a logical Model

physical_models

array

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Fetch Alerts for given Model Entry Asset

GET /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}/alerts

Returns Alerts for given Model Entry Asset

Request

Path Parameters

model_entry_asset_id

Required *

string

ModelEntry Asset GUID

Query Parameters

catalog_id

Required *

string

Catalog GUID

model_deployment_id

string

Deployment GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Fetch Alerts for given Model Entry Asset successful

deployment_details

array

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Update master_id for a model

PATCH /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}/relatemodels

Updates master_id of model

Request

Request Body

RelateModel

Notebook experiment

reference_model_id

string

model_id

string

Path Parameters

model_entry_asset_id

Required *

string

ModelEntry Asset GUID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Created

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Download Model Entry report

GET /v1/aigov/model_inventory/model_entries/{model_entry_asset_id}/report

Returns 200 OK status with specified model entry report to download. Otherwise, 500 Internal Server Error

Request

Path Parameters

model_entry_asset_id

Required *

string

ModelEntry Asset GUID

Query Parameters

catalog_id

Required *

string

Catalog GUID

format

string

File Format

strict

boolean

Ignore errors

template_id

Required *

string

Template GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Download specified model entry report

400 - Bad request

401 - Unauthorized

403 - Forbidden

404 - Requested data are not available, try again later.

500 - Internal Server Error

Save External Model

PUT /v1/aigov/model_inventory/model_stub

Creates or updates an asset of type Model Stub

Request

Request Body

ModelStub

ModelStub metadata

model_id

string

name

string

external_model_identifier

string

description

string

model_type

string

input_type

string

algorithm

string

label_type

string

label_column

string

prediction_type

string

software_spec

string

software_spec_id

string

schemas

object

input

array

output

array

training_data_references

array

deployment_details

object

id

string

name

string

type

string

is_deleted

string

scoring_endpoint

string

Path Parameters

Query Parameters

experiment_name

string

Experiment Name

catalog_id

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Created

metadata

object

entity

object

href

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Link Model to Model Entry

POST /v1/aigov/model_inventory/models/{asset_id}/model_entry

Link Model to Model Entry

Request

Request Body

ModelEntryDetailsSchema

ModelEntryDetails Schema

model_entry_catalog_id

string

model_entry_asset_id

string

model_entry_name

string

model_entry_description

string

grc_model_id

string

version_details

Required *

object

number

string

comment

string

approach_id

string

Path Parameters

asset_id

Required *

string

Asset GUID

Query Parameters

catalog_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

project_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

space_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

call_ref

string

call_ref optional for caller reference

Response

200 - Created

model_entry_catalog_id

string

Catalog ID of the model entry asset

model_entry_id

string

Asset ID of the model entry

model_entry_name

string

Model Entry Name

model_entry_status

string

Model Entry Status

version_number

string

Model version number

version_comment

string

Model version comment

approach_name

string

Model approach name

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Unlink Model to Model Entry

DELETE /v1/aigov/model_inventory/models/{asset_id}/model_entry

Unlink Model to Model Entry

Request

Path Parameters

asset_id

Required *

string

Asset GUID

Query Parameters

catalog_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

project_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

space_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

call_ref

string

call_ref optional for caller reference

Response

200 - No Content

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Download model report

GET /v1/aigov/model_inventory/models/{asset_id}/report

Returns 200 OK status with specified model report to download. Otherwise, 500 Internal Server Error

Request

Path Parameters

asset_id

Required *

string

Asset GUID

Query Parameters

catalog_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

project_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

space_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

format

string

File Format

strict

boolean

Ignore errors

template_id

Required *

string

Template GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Download specified model report

400 - Bad request

401 - Unauthorized

403 - Forbidden

404 - Requested data are not available, try again later.

500 - Internal Server Error

Fetch System facts of the Model

GET /v1/aigov/model_inventory/models/{asset_id}/system_facts

Returns System Facts of the Model

Request

Path Parameters

asset_id

Required *

string

Asset GUID

Query Parameters

catalog_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

project_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

space_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

deployment_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

call_ref

string

call_ref optional for caller reference

Response

200 - Fetch all WKC Model Entry assets for the catalog

model_information

object

training_information

object

modelentry_information

object

model_identity_information

object

space_details

object

training_metrics

array

openpages_details

object

deployment_details

object

schemas

object

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Get report templates detail

GET /v1/aigov/report_templates

Returns list of all the temnplates detail

Request

Path Parameters

Query Parameters

scope

string

Scope of the templates to fetch. Allowed values are model_entry, wml_model and model_stub

call_ref

string

call_ref optional for caller reference

Response

200 - Get Details of all Report Templates

400 - Bad request

401 - Unauthorized

403 - Forbidden

404 - Requested data are not available, try again later.

500 - Internal Server Error

Create report template

POST /v1/aigov/report_templates

Create report template with ftl file to be used for report generation

Request

Request Body

ReportTemplate

Custom Report Template Data

name

string

description

string

scope

array

Path Parameters

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

200 - Returns the meta data of the template created

400 - Bad request

401 - Unauthorized

403 - Forbidden

404 - Requested data are not available, try again later.

500 - Internal Server Error

Get specific report template detail

GET /v1/aigov/report_templates/{template_id}

Returns specified template id detail

Request

Path Parameters

template_id

Required *

string

Template GUID

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

200 - Get Details for a Specific Report Template

400 - Bad request

401 - Unauthorized

403 - Forbidden

404 - Requested data are not available, try again later.

500 - Internal Server Error

Update report template

PATCH /v1/aigov/report_templates/{template_id}

Update report template with ftl file to be used for report generation

Request

Request Body

ReportTemplate

Custom Report Template Data

name

string

description

string

scope

array

Path Parameters

template_id

Required *

string

Template GUID

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

200 - Returns the meta data of the template created

400 - Bad request

401 - Unauthorized

403 - Forbidden

404 - Requested data are not available, try again later.

500 - Internal Server Error

Delete Custom Report Template

DELETE /v1/aigov/report_templates/{template_id}

Use this API to delete an existing Custom Report Template

Request

Path Parameters

template_id

Required *

string

Template GUID

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

204 - No Content

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden, Built-in templates can not be deleted.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Get specific report template content

GET /v1/aigov/report_templates/{template_id}/content

Returns specified template id content

Request

Path Parameters

template_id

Required *

string

Template GUID

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

200 - Returns the content of the specified Report Template

400 - Bad request

401 - Unauthorized

403 - Forbidden

404 - Requested data are not available, try again later.

500 - Internal Server Error

Update specific report template file content

POST /v1/aigov/report_templates/{template_id}/content

Updates specified template id with template file name and content

Request

Request Body

Path Parameters

template_id

Required *

string

Template GUID

Query Parameters

template_name

string

File Name of the Custom Template

call_ref

string

call_ref optional for caller reference

Response

204 - Report Template updated successfully

400 - Bad request

401 - Unauthorized

403 - Forbidden

404 - Requested data are not available, try again later.

500 - Internal Server Error

Get all Factsheet service configuration settings

GET /v1/aigov/factsheet/settings

Get all Factsheet service configuration settings

Request

Path Parameters

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

200 - Settings retrieved successfully

settings

array

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - AI Factsheets Service is not available now please try after some time

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Get Factsheet service configuration setting

GET /v1/aigov/factsheet/settings/{setting}

Get Factsheet service configuration setting

Request

Path Parameters

setting

Required *

string

Setting name

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

200 - Setting retrieved successfully

value

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - AI Factsheets Service is not available now please try after some time

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Delete the Factsheet service configuration setting

DELETE /v1/aigov/factsheet/settings/{setting}

Delete the Factsheet service configuration setting

Request

Path Parameters

setting

Required *

string

Setting name

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

204 - Setting deleted successfully

index

number

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - AI Factsheets Service is not available now please try after some time

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Add or Update the Factsheet service configuration setting

PUT /v1/aigov/factsheet/settings/{setting}

Add or Update the Factsheet service configuration setting

Request

Request Body

SettingInputObject

Setting value

value

string

Path Parameters

setting

Required *

string

Setting name

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

200 - Setting added or updated

setting

string

value

string

201 - Setting added or updated

setting

string

value

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Gets the version details of a model

GET /v1/aigov/model_inventory/models/{model_asset_id}/version_details

Gets the version details of a model

Request

Path Parameters

model_asset_id

Required *

string

Model Asset ID

Query Parameters

catalog_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

project_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

space_id

string

You must provide either a catalog id, a project id, or a space id, but not more than one

call_ref

string

call_ref optional for caller reference

Response

200 - Returns version details for a model in a given catalog or project or space

version_number

string

version_approach

string

version_comment

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Create approach for model use case

POST /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/version_approach

Create approach for model use case

Request

Request Body

Approach

Approach data

name

string

description

string

icon

string

icon_color

string

Path Parameters

model_usecase_asset_id

Required *

string

Model use case ID

Query Parameters

catalog_id

Required *

string

You must provide catalog id under which this model use case is present

call_ref

string

call_ref optional for caller reference

Response

201 - Approach created

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Delete approach from model use case

DELETE /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/version_approach/{approach_id}

Delete model use case approach

Request

Path Parameters

model_usecase_asset_id

Required *

string

Model use case ID

approach_id

Required *

string

Approach ID

Query Parameters

catalog_id

Required *

string

You must provide catalog id under which this model use case is present

call_ref

string

call_ref optional for caller reference

Response

204 - Approach deleted

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Update model use case approach

PATCH /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/version_approach/{approach_id}

Update model use case approach

Request

Request Body

Patch array e.g [{"op":"add","path":"/name","value": "string"},{"op":"add","path":"/description","value": "string"}]

Path Parameters

model_usecase_asset_id

Required *

string

Model use case ID

approach_id

Required *

string

Approach ID

Query Parameters

catalog_id

Required *

string

You must provide catalog id under which this model use case is present

call_ref

string

call_ref optional for caller reference

Response

204 - Approach deleted

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Get approaches and versions of all tracked models of a model use case

GET /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/tracked_model_versions

Get approaches and versions of all tracked models of a model use case

Request

Path Parameters

model_usecase_asset_id

Required *

string

Model use case ID

Query Parameters

catalog_id

Required *

string

You must provide catalog id under which this model use case is present

call_ref

string

call_ref optional for caller reference

Response

200 - Fetch model use case approaches

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

List all deployments of external model

GET /v1/aigov/model_inventory/models/{model_asset_id}/deployments

List all deployments of external model

Request

Path Parameters

model_asset_id

Required *

string

Model Asset ID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Returns all deployments of external model for a given assetId and catalog

deployment_details

array

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Add a deployment to External Model

PUT /v1/aigov/model_inventory/models/{model_asset_id}/deployments

Adds a deployment to External Model

Request

Request Body

DeploymentDetailsInputObject

Deployment details data

id

string

external_identifier

string

name

string

type

string

scoring_endpoint

string

description

string

Path Parameters

model_asset_id

Required *

string

Model Asset ID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Created

metadata

object

entity

object

href

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Delete deployment of an external model.

DELETE /v1/aigov/model_inventory/models/{model_asset_id}/deployments/{deployment_id}

Delete deployment of an external model.<br> <p>NOTE: This feature works only for External Models.</p>

Request

Path Parameters

model_asset_id

Required *

string

Model Asset ID

deployment_id

Required *

string

Deployment ID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

204 - Deployment deleted successfully

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Move deployment from source to target environment

PUT /v1/aigov/model_inventory/models/{model_asset_id}/deployments/{deployment_id}/environment

Move deployment from source to target environment

Request

Request Body

MoveDeploymentToTargetEnv

Target environment value is case sensitive and should match one of these options [Test, Validate, Operate]

target_environment

string

Path Parameters

model_asset_id

Required *

string

Model Asset ID

deployment_id

Required *

string

Model Deployment ID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Created

metadata

object

entity

object

href

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Move model from source to target environment

PUT /v1/aigov/model_inventory/models/{model_asset_id}/environment

Move model from source to target environment

Request

Request Body

MoveModelToTargetEnv

Target environment value is case sensitive and should match one of these options [Develop, Test, Validate, Operate]

target_environment

string

Path Parameters

model_asset_id

Required *

string

Model Asset ID

Query Parameters

catalog_id

Required *

string

Catalog GUID

call_ref

string

call_ref optional for caller reference

Response

200 - Created

metadata

object

entity

object

href

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Resets OpenPages Integration'

PATCH /v1/aigov/model_inventory/grc/config

Use this API to reset OpenPages Integration

Request

Path Parameters

Query Parameters

call_ref

string

call_ref optional for caller reference

Response

200 - OK

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string

Modify the approach or version or both of all tracked models that belong to the given version number and approach

PUT /v1/aigov/model_inventory/model_usecases/{model_usecase_asset_id}/version_approach/{approach_id}/versions/{version_number}

Modify the approach or version or both of all tracked models that belong to the given version number and approach

Request

Request Body

TargetApproachInputObject

Target approach id, number, and comment

target_approach_id

string

target_version_number

string

target_version_comment

string

Path Parameters

model_usecase_asset_id

Required *

string

Model use case ID

approach_id

Required *

string

Approach ID

version_number

Required *

string

Version Number

Query Parameters

catalog_id

Required *

string

You must provide catalog id under which this model use case is present

call_ref

string

call_ref optional for caller reference

Response

200 - Modified the approach and/or version of a model

approach_id

string

version_number

string

version_comment

string

201 - Modified the approach and/or version of a model

approach_id

string

version_number

string

version_comment

string

400 - Bad request

code

string

message

string

trace

string

401 - Unauthorized

403 - Forbidden

code

string

message

string

trace

string

404 - Requested data are not available, try again later.

code

string

message

string

trace

string

500 - Internal Server Error

code

string

message

string

trace

string